step "the product category lunch is not visible today" do
  @category_lunch.update_attributes "active_on_#{Date.today.day_name}" => false
end

step "the product category lunch is visible at this time" do
  @category_lunch.update_attributes full_day: false,
    start_from: 10.minutes.ago.getlocal.minute_of_day,
    end_on: 10.minutes.from_now.getlocal.minute_of_day
end

step "the product category lunch is visible later than now" do
  @category_lunch.update_attributes full_day: false,
    start_from: 10.minutes.from_now.getlocal.minute_of_day,
    end_on: 1440
end

step "the product category lunch is visible earlyer than now" do
  @category_lunch.update_attributes full_day: false,
    start_from: 0,
    end_on: 10.minutes.ago.getlocal.minute_of_day
end
